{% extends 'base.html' %}

{% block title %} | Dashboard {% endblock %}


{% block content %}
<section id="showcase-inner" class="py-5 text-white">
    <div class="container">
      <div class="row text-center">
        <div class="col-md-12">
          <h1 class="display-4">User Dashboard</h1>
          <p class="lead">Manage your BT Real Estate account</p>
        </div>
      </div>
    </div>
  </section>

  <!-- Breadcrumb -->
  <section id="bc" class="mt-3">
    <div class="container">
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item">
            <a href="{% url 'index' %}">
              <i class="fas fa-home"></i> Home</a>
          </li>
          <li class="breadcrumb-item active"> Dashboard</li>
        </ol>
      </nav>
    </div>
  </section>

  <!-- Alerts -->
  {% include 'partial/_alerts.html' %}

  <section id="dashboard" class="py-4">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <h2>Welcome {{ user.first_name }}</h2>
          {% if contacts %}
            <p>Here are the property listings that you have inquired about</p>
            <table class="table">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">Property</th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                {% for contact in contacts %}
                  <tr>
                    <td>{{ contact.id }}</td>
                    <td>{{ contact.listing }}</td>
                    <td>
                      <a class="btn btn-light" href="{% url 'listing' contact.listing_id %}">View Listing</a>
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          {% else %}
            <p>You have not made any inquiries</p>
          {% endif %}
        </div>
      </div>
    </div>
  </section>
  {% endblock %}